Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface JMSRuntimeMBean

All Superinterfaces:
  DynamicMBean, weblogic.health.HealthFeedback, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface JMSRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean, weblogic.health.HealthFeedback

This class is used for monitoring a WebLogic JMS service.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`JMSConnectionRuntimeMBean[]` | `getConnections()` The connections to this WebLogic server.
`long` | `getConnectionsCurrentCount()` The current number of connections to WebLogic Server server.
`long` | `getConnectionsHighCount()` The highest number of connections to this WebLogic Server since the last reset.
`long` | `getConnectionsTotalCount()` The total number of connections made to this WebLogic Server since the last reset.
`weblogic.health.HealthState` | `getHealthState()` The health state of this JMS service.
`JMSServerRuntimeMBean[]` | `getJMSServers()` The JMS servers that are currently deployed on this WebLogic Server instance.
`long` | `getJMSServersCurrentCount()` The current number of JMS servers that are deployed on this WebLogic Server instance.
`long` | `getJMSServersHighCount()` The highest number of JMS servers that were deployed on this WebLogic Server instance since this server was started.
`long` | `getJMSServersTotalCount()` The total number of JMS servers that were deployed on this WebLogic Server instance since this server was started.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getConnections

    public JMSConnectionRuntimeMBean[] getConnections()

  The connections to this WebLogic server.

  Returns:
    The connections value

### getConnectionsCurrentCount

    public long getConnectionsCurrentCount()

  The current number of connections to WebLogic Server server.

  Returns:
    The connectionsCurrentCount value

### getConnectionsHighCount

    public long getConnectionsHighCount()

  The highest number of connections to this WebLogic Server since the last reset.

  Returns:
    The connectionsHighCount value

### getConnectionsTotalCount

    public long getConnectionsTotalCount()

  The total number of connections made to this WebLogic Server since the last reset.

  Returns:
    The connectionsTotalCount value

### getHealthState

    public weblogic.health.HealthState getHealthState()

  The health state of this JMS service.

  Specified by:
    `getHealthState` in interface `weblogic.health.HealthFeedback`
  Returns:
    The healthState value

### getJMSServers

    public JMSServerRuntimeMBean[] getJMSServers()

  The JMS servers that are currently deployed on this WebLogic Server instance.

  Returns:
    The jMSServers value

### getJMSServersCurrentCount

    public long getJMSServersCurrentCount()

  The current number of JMS servers that are deployed on this WebLogic Server instance.

  Returns:
    The jMSServersCurrentCount value

### getJMSServersHighCount

    public long getJMSServersHighCount()

  The highest number of JMS servers that were deployed on this WebLogic Server instance since this server was started.

  Returns:
    The jMSServersHighCount value

### getJMSServersTotalCount

    public long getJMSServersTotalCount()

  The total number of JMS servers that were deployed on this WebLogic Server instance since this server was started.

  Returns:
    The jMSServersTotalCount value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD